GrabKeyDialog.KeyBinding (jEdit API Documentation)
Date: 2018-04-10

org.gjt.sp.jedit.gui

## Class GrabKeyDialog.KeyBinding

- java.lang.Object
- - org.gjt.sp.jedit.gui.GrabKeyDialog.KeyBinding

- Enclosing class:
    GrabKeyDialog

      public static class GrabKeyDialog.KeyBinding
      extends java.lang.Object

  A jEdit action or macro with its two possible shortcuts.
  Since:
    jEdit 3.2pre8

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `actionSet`
    `boolean` | `isPrefix`
    `java.lang.String` | `label`
    `java.lang.String` | `name`
    `java.lang.String` | `shortcut`
    `java.lang.String` | `tooltip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyBinding(java.lang.String name, java.lang.String label, java.lang.String tooltip, java.lang.String shortcut, boolean isPrefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAssigned()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionSet

          public java.lang.String actionSet

    - #### name

          public java.lang.String name

    - #### label

          public java.lang.String label

    - #### tooltip

          public java.lang.String tooltip

    - #### shortcut

          public java.lang.String shortcut

    - #### isPrefix

          public boolean isPrefix

  - ### Constructor Detail

    - #### KeyBinding

          public KeyBinding(java.lang.String name,
                            java.lang.String label,
                            java.lang.String tooltip,
                            java.lang.String shortcut,
                            boolean isPrefix)

  - ### Method Detail

    - #### isAssigned

          public boolean isAssigned()